Subject: Re: bug#19413: 24.4; (desktop-save-mode 1) save frame as page and desktop sticky (_NET_WM_STATE_STICKY) when close Emacs shaded, (setq desktop-restore-frames nil) fix issue.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Dec 2014 23:52:40 +0200

> From: Oleksandr Gavenko <[email-masked]>
> Date: Fri, 19 Dec 2014 23:46:34 +0200
> 
> I upgrade Emacs on Debian to 24.4.1.
> 
> New changes for desktop-save-mode:
> 
>   *** Desktop now saves and restores the frame/window configuration.
>   To disable this, set `desktop-restore-frames' to nil.
> 
> I don't set desktop-restore-frames previously.
> 
> When I use Fvwm `WindowShade` command on Emacs window it hided, only titlebar
> shown.
> 
> If I close Emacs in shaded state and run again it gain sticky attribute (so it
> shown on every page/desktop, follow my page/desktop switching).
> 
> So with "emacs -q" and only "(desktop-save-mode 1)" this behavior reproduced.

AFAIR, Debian has a lot of stuff hiding in site-init files, and -q
doesn't disable that.  Does the same problem happen with -Q or
--no-site-file?